#ifndef	_ZNSPLAY_H
#define	_ZNSPLAY_H

#ifndef	_SPLIB_H
#	include	<splib.h>
#endif
#ifndef	_GUIDEFS_H
#	include	<guidefs.h>
#endif
#ifndef	_DISP_H
#	include	<disp.h>
#endif
#ifndef	_WLB_H
#	include	<wlb.h>
#endif
#ifndef	_WIND_H
#	include	<wind.h>
#endif
#ifndef	_MOUSE_H
#	include	<mouse.h>
#endif
#ifndef	_MOSCUR_H
#	include	<moscur.h>
#endif
#ifndef	_KYB_H
#	include	<kyb.h>
#endif
#ifndef	_EVENT_H
#	include	<event.h>
#endif
#ifndef	_MENU_H
#	include	<menu.h>
#endif
#ifndef	_SBAR_H
#	include	<sbar.h>
#endif
#ifndef	_GST_H
#	include	<gst.h>
#endif
#ifndef	_FS_H
#	include	<fs.h>
#endif
#ifndef	_KEYCODE_H
#	include	<keycode.h>
#endif

/*************************************************************************
*	F`
*************************************************************************/

#define	C_GRAY		C_WHITE
#define	C_DARK		C_HBLACK
#define	C_WARNNING	C_HYELLOW
#define	C_ERROR		C_HRED
#define	C_INFO		C_HGREEN
#define	C_TIMEBOX	C_CYAN
#define	C_GRAY0		C_HBLACK
#define	C_GRAY1		C_RED
#define	C_GRAY2		C_WHITE
#define	C_GRAY3		C_MAGENTA
#define	C_METAL0	C_GREEN
#define	C_METAL1	C_CYAN
#define	C_METAL2	C_YELLOW
#define	C_DLGBASE	C_MAGENTA

#ifndef	_ZNSMSG_H
#	include	"znsmsg.h"
#endif

/*----------------------------------------------------------------------*/
#define	ZNS_RESOLUSION	(10)

/*----------------------------------------------------------------------*/
typedef	struct
{
	int			mode;			/* 0==Memory 1==Disk	*/
	int			wait;			/* EFCg				*/
	int			expand;			/* ʊg嗦			*/
	int			type;			/* f[^^Cv			*/
	char		filename[256];
} ZNSMOVE_T;

#define	ZNS_MODE_MEMORY		(0)
#define	ZNS_MODE_DISK		(1)

#define	ZNS_TYP_MOV			(0)
#define	ZNS_TYP_V00			(1)
#define	ZNS_TYP_V02			(2)

extern int						FlagQuickRet;

/*	"main.c"		----------------------------------------------------*/
extern void	page1_palette(void);
extern void	ZNS_displayStart( int mode, int x, int y );
extern void	reinit(void);

/*	"znsplay.c"		----------------------------------------------------*/
extern ZNSMOVE_T	ZnsMove;
extern void			zns_dsp_info(void);
extern int			zns_play( ZNSMOVE_T *znsmove );
extern void			zns_main(void);

/*	"znsmov.c"		----------------------------------------------------*/
extern int		zns_play_mov( ZNSMOVE_T *znsmove );

/*	"znsv02.c"		----------------------------------------------------*/
extern int		zns_play_v02( ZNSMOVE_T *znsmove );

/*	"znslib01.c"	----------------------------------------------------*/
extern int		ZnsNextCheck(void);
extern void		ZNS_cls(void);
extern void		ZNS_frame( FRAME *fr );

/*	"aboutdlg.c"	----------------------------------------------------*/
extern int		Apl_dlgMsg( int x0, int y0, CONST char *ver, CONST char *name, CONST char *msg, ... );

#endif
